Bug 487053 - (EE) Screen(s) found, but none have a usable configuration.
(EE) Screen(s) found, but none have a usable configuration.
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-23 15:58 EST by Eric Paris
Modified: 2009-12-06 10:01 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-06 10:01:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
WORKING nv Xorg.0.log (43.02 KB, text/plain)
2009-02-23 16:13 EST, Eric Paris
no flags Details
BROKEN nouveau Xorg.0.log (17.12 KB, text/plain)
2009-02-23 16:14 EST, Eric Paris
no flags Details
WROKING nv dmesg (60.68 KB, text/plain)
2009-02-23 16:53 EST, Eric Paris
no flags Details
BROKEN nouveau dmesg (60.79 KB, text/plain)
2009-02-23 16:54 EST, Eric Paris
no flags Details
other connector, works, but wierd.... (85.53 KB, text/plain)
2009-02-23 18:13 EST, Eric Paris
no flags Details
screenshot of desktop with nv driver (684.48 KB, image/png)
2009-02-23 18:44 EST, Eric Paris
no flags Details
xorg.conf with line limiting virtual size (303 bytes, text/plain)
2009-02-23 18:44 EST, Ben Skeggs
no flags Details
screenshot of desktop with nouveau driver (574.37 KB, image/png)
2009-02-23 18:45 EST, Eric Paris
no flags Details
nouveau Xorg.0.log with line limiting virtual size config (89.65 KB, text/plain)
2009-02-23 18:54 EST, Eric Paris
no flags Details

  None (edit)
Description Eric Paris 2009-02-23 15:58:49 EST
kernel-PAE-2.6.29-0.145.rc6.fc11.i686
xorg-x11-server-common-1.5.99.903-3.fc11.i586
xorg-x11-drv-nouveau-0.0.12-1.20090216git7b25a30.fc11.i586

01:00.0 VGA compatible controller: nVidia Corporation NV35GL [Quadro FX 3000] (rev a1)

I installed F11 Alpha and everything worked.  I updated to rawhide, rebooted and X doesn't start (so LOTS of stuff was updated at the same time).  Screen flashes a bunch and then gives up leaving me with the text on vt1.  Attached is my Xorg.0.log which ends with:

(EE) Screen(s) found, but none have a usable configuration.

Please let me know what I can collect, do, try, or debug to get this working.
Comment 1 Eric Paris 2009-02-23 16:13:50 EST
Created attachment 332971 [details]
WORKING nv Xorg.0.log
Comment 2 Eric Paris 2009-02-23 16:14:55 EST
Created attachment 332972 [details]
BROKEN nouveau Xorg.0.log
Comment 3 Eric Paris 2009-02-23 16:16:39 EST
The only change between working and broken log above is the creation of an xorg.conf and one section.  (no xorg.conf appears to now default to nouveau)

Section "Device"
        Identifier "Videocard0"
        Driver     "nv"
EndSection
Comment 4 Eric Paris 2009-02-23 16:53:43 EST
Created attachment 332975 [details]
WROKING nv dmesg
Comment 5 Eric Paris 2009-02-23 16:54:10 EST
Created attachment 332976 [details]
BROKEN nouveau dmesg
Comment 6 Ben Skeggs 2009-02-23 17:52:05 EST
Can you try connecting the monitor to the other DVI port and seeing what happens there?  I can't see anything useful in the logs to indicate why the server sees no modes.
Comment 7 Eric Paris 2009-02-23 18:13:04 EST
Created attachment 332984 [details]
other connector, works, but wierd....
Comment 8 Eric Paris 2009-02-23 18:16:35 EST
So it worked, but it's weird.  Not idea if it's related, but I wasn't seeing this a moment ago with everything the same except nv.

xrandr tells me it is 1600x1200 x 75hz but some things are quite large.  This text box seems about right.  The window decorations at the top are large.  The font in gnome terminal is large.  Anyhow, at least it started X....
Comment 9 Ben Skeggs 2009-02-23 18:43:52 EST
Okay.  Can you try the attached xorg.conf, it should confirm what I suspect to be the issue.
Comment 10 Eric Paris 2009-02-23 18:44:03 EST
Created attachment 332988 [details]
screenshot of desktop with nv driver
Comment 11 Ben Skeggs 2009-02-23 18:44:26 EST
Created attachment 332989 [details]
xorg.conf with line limiting virtual size
Comment 12 Eric Paris 2009-02-23 18:45:30 EST
Created attachment 332990 [details]
screenshot of desktop with nouveau driver
Comment 13 Eric Paris 2009-02-23 18:54:48 EST
Created attachment 332993 [details]
nouveau Xorg.0.log with line limiting virtual size config
Comment 14 Ben Skeggs 2009-02-23 19:08:23 EST
We're getting the same DPI as nv now, so I would've expected something to change.  Can you create a completely fresh user, and see if there's any difference between nv and nouveau there?
Comment 15 Eric Paris 2009-02-23 19:33:22 EST
New user makes no difference.  nouveau still has strange sized things (window decorations, menus, text in gnome terminal, etc).

Even gdm is a different size.  On the monitor gdm is 3 and 5/8 inches tall with nv and is 4 inches tall with nouveau.
Comment 16 Eric Paris 2009-02-24 14:30:40 EST
updated to xorg-x11-drv-nouveau-0.0.12-5.20090224gitd91fc78.fc11.i586 and it does not resolve either the problem with using the other DVI connector, nor does it resolve the fact that some things are larger than they are with nv.

the worse news would be that vt-2,3, etc are now borken (they work with nv and weren't broken yesterday)  I got a flashing _ cursor, that moved when I typed or hit enter, but no text.......
Comment 17 Eric Paris 2009-03-02 07:56:37 EST
How is this needinfo me?  I've answered every question and done everything suggested.
Comment 18 Matěj Cepl 2009-03-02 08:56:00 EST
(In reply to comment #17)
> How is this needinfo me?  I've answered every question and done everything
> suggested.

We have very scrientific term for it, "I screwed up". Sorry.
Comment 19 Ben Skeggs 2009-03-09 01:13:04 EDT
(In reply to comment #16)
> updated to xorg-x11-drv-nouveau-0.0.12-5.20090224gitd91fc78.fc11.i586 and it
> does not resolve either the problem with using the other DVI connector, nor
> does it resolve the fact that some things are larger than they are with nv.
I'm still not sure what's going wrong on the other connector, there have been similar reports of the same issue on other cards also.

What do you see from "xdpyinfo | grep dots" when running nv vs nouveau?  Also, if you add Option "Randr12" "false" to xorg.conf while running nouveau do you see the same output as nv?

> 
> the worse news would be that vt-2,3, etc are now borken (they work with nv and
> weren't broken yesterday)  I got a flashing _ cursor, that moved when I typed
> or hit enter, but no text.......  
Sorry about that, this should be fixed now!
Comment 20 Bug Zapper 2009-06-09 07:36:16 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 21 Matěj Cepl 2009-11-05 13:22:15 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 22 Chris Campbell 2009-12-06 09:50:44 EST
Eric, have you continued to update your system, and/or have you tried Fedora 12? We would like to know if there are any changes to this bug with an up-to-date system.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 23 Eric Paris 2009-12-06 10:01:28 EST
I haven't powered thie system on in a long long time.  If I ever do again and i have trouble I'll reopen.

Note You need to log in before you can comment on or make changes to this bug.